Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.transport.http
Class XFireHttpSession

    java.lang.Object
      org.codehaus.xfire.transport.http.XFireHttpSession

All Implemented Interfaces:
  Session

    public class XFireHttpSession

extends java.lang.Object
implements Session

The default servlet session implementation.

Author:
  Dan Diephouse

Field Summary
`static java.lang.String` | `HTTP_SERVLET_REQUEST_KEY`

Constructor Summary
`XFireHttpSession(javax.servlet.http.HttpServletRequest request)`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Get a variable from the session by the key.
`javax.servlet.http.HttpSession` | `getSession()`
`void` | `put(java.lang.Object key, java.lang.Object value)` Put a variable into the session with a key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_SERVLET_REQUEST_KEY

    public static final java.lang.String HTTP_SERVLET_REQUEST_KEY

See Also:
  Constant Field Values

Constructor Detail

### XFireHttpSession

    public XFireHttpSession(javax.servlet.http.HttpServletRequest request)

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Description copied from interface: `Session`
  Get a variable from the session by the key.

  Specified by:
    `get` in interface `Session`
  Returns:
  See Also:
    `Session.get(java.lang.Object)`

### put

    public void put(java.lang.Object key,
                    java.lang.Object value)

  Description copied from interface: `Session`
  Put a variable into the session with a key.

  Specified by:
    `put` in interface `Session`
  See Also:
    `Session.put(java.lang.Object, java.lang.Object)`

### getSession

    public javax.servlet.http.HttpSession getSession()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.